zmlab = zmlab or {}

zmlab.GlobalSounds = {
	["zmlab_breakice"] = {
		Sound("physics/plastic/plastic_box_break2.wav"),
		Sound("zmlab/meth_breaking01.mp3"),
		Sound("zmlab/meth_breaking02.mp3"),
	},
	["zmlab_clean"] = {
		Sound("ambient/water/water_splash1.wav"),
		Sound("ambient/water/water_splash2.wav"),
		Sound("ambient/water/water_splash3.wav"),
	},
}

// Generic
sound.Add({
	name = "zmlab_ui_click",
	channel = CHAN_STATIC,
	volume = 1,
	level = 60,
	pitch = {100, 100},
	sound = {Sound("ui/buttonclick.wav")}
})

//Methylamin
sound.Add({
	name = "Methylamin_filling",
	channel = CHAN_STATIC,
	volume = 1.0,
	level = 65,
	pitch = {25, 30},
	sound = {Sound("ambient/water/water_flow_loop1.wav")}
})

//Aluminium
sound.Add({
	name = "Aluminium_filling",
	channel = CHAN_STATIC,
	volume = 0.8,
	level = 65,
	pitch = {90, 100},
	sound = {Sound("zmlab/aluminfill01.mp3"), Sound("zmlab/aluminfill02.mp3")}
})

sound.Add({
	name = "Aluminium_walk",
	channel = CHAN_STATIC,
	volume = 0.25,
	level = 60,
	pitch = {90, 100},
	sound = {Sound("zmlab/aluminiumshake01.mp3"), Sound("zmlab/aluminiumshake02.mp3"), Sound("zmlab/aluminiumshake03.mp3"), Sound("zmlab/aluminiumshake04.mp3"), Sound("zmlab/aluminiumshake05.mp3"), Sound("zmlab/aluminiumshake06.mp3")}
})

//Combiner
sound.Add({
	name = "Combiner_poision",
	channel = CHAN_STATIC,
	volume = 1,
	level = 60,
	pitch = {100, 100},
	sound = {Sound("ambient/gas/steam2.wav")}
})

sound.Add({
	name = "Combiner_filtering",
	channel = CHAN_STATIC,
	volume = 1,
	level = 60,
	pitch = {100, 100},
	sound = {Sound("ambient/machines/city_ventpump_loop1.wav")}
})

sound.Add({
	name = "MethylaminSludge_pump",
	channel = CHAN_STATIC,
	volume = 0.5,
	level = 60,
	pitch = {50, 70},
	sound = {Sound("ambient/levels/canals/toxic_slime_gurgle2.wav"), Sound("ambient/levels/canals/toxic_slime_gurgle3.wav"), Sound("ambient/levels/canals/toxic_slime_gurgle4.wav"), Sound("ambient/levels/canals/toxic_slime_gurgle5.wav"), Sound("ambient/levels/canals/toxic_slime_gurgle6.wav"), Sound("ambient/levels/canals/toxic_slime_gurgle7.wav"), Sound("ambient/levels/canals/toxic_slime_gurgle8.wav")}
})

sound.Add({
	name = "progress_cooking",
	channel = CHAN_STATIC,
	volume = 1.0,
	level = 60,
	pitch = {95, 110},
	sound = {Sound("ambient/water/underwater.wav")}
})

sound.Add({
	name = "progress_done",
	channel = CHAN_STATIC,
	volume = 0.5,
	level = 70,
	pitch = {95, 110},
	sound = {Sound("buttons/combine_button_locked.wav")}
})

//FreezerTray
sound.Add({
	name = "ConvertingSludge",
	channel = CHAN_STATIC,
	volume = 0.5,
	level = 60,
	pitch = {70, 90},
	sound = {Sound("weapons/debris1.wav")}
})

//Freezer
sound.Add({
	name = "progress_freezing",
	channel = CHAN_STATIC,
	volume = 1,
	level = 60,
	pitch = {80, 90},
	sound = {Sound("zmlab/meth_frezzing01.mp3"), Sound("zmlab/meth_frezzing02.mp3"), Sound("zmlab/meth_frezzing03.mp3"), Sound("zmlab/meth_frezzing04.mp3")}
})

sound.Add({
	name = "freezer_addTray",
	channel = CHAN_STATIC,
	volume = 0.5,
	level = 60,
	pitch = {70, 90},
	sound = {Sound("doors/door_latch1.wav")}
})

sound.Add({
	name = "freezer_removeTray",
	channel = CHAN_STATIC,
	volume = 0.5,
	level = 60,
	pitch = {70, 90},
	sound = {Sound("doors/door_metal_thin_open1.wav")}
})

//Filter
sound.Add({
	name = "filter_break",
	channel = CHAN_STATIC,
	volume = 1,
	level = 60,
	pitch = {80, 90},
	sound = {Sound("physics/metal/metal_box_break1.wav")}
})

sound.Add({
	name = "filter_attach",
	channel = CHAN_STATIC,
	volume = 1,
	level = 60,
	pitch = {80, 90},
	sound = {Sound("buttons/lever2.wav")}
})

sound.Add({
	name = "filter_dettach",
	channel = CHAN_STATIC,
	volume = 1,
	level = 60,
	pitch = {80, 90},
	sound = {Sound("buttons/lever3.wav")}
})
